> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Product Store



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/product_store
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/product_store:
    post:
      tags:
        - product_store
      summary: Upsert Product Store
      operationId: upsert_product_store_v1_product_store_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductStoreCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductStoreResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProductStoreCreate:
      properties:
        store_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Store Name
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        regular_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        unit_cost:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unit Cost
        stock_on_hand:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stock On Hand
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        tax_rate:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Tax Rate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        price_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Price Effective Date
        item_id:
          type: string
          title: Item Id
        sku:
          type: string
          title: Sku
        store_id:
          type: string
          title: Store Id
        current_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Current Price
      additionalProperties: false
      type: object
      required:
        - item_id
        - sku
        - store_id
        - current_price
      title: ProductStoreCreate
    ProductStoreResponse:
      properties:
        store_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Store Name
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        regular_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        unit_cost:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unit Cost
        stock_on_hand:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stock On Hand
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        tax_rate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Tax Rate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        price_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Price Effective Date
        id:
          type: string
          format: uuid
          title: Id
        item_id:
          type: string
          title: Item Id
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        store_id:
          type: string
          title: Store Id
        current_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Current Price
      additionalProperties: false
      type: object
      required:
        - id
        - item_id
        - store_id
      title: ProductStoreResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````